package edu.utexas.greg;

import game.Game;
import game.Strategy;
import java.util.Random;


public class GregStrategy implements Strategy
{
    private int numActions;
    private Random rand;
    
    public GregStrategy(Game g, long seed, String options) {
	numActions = g.getNumActions();
	rand = new Random(seed + 857);
    }

    public int getAction() {
	return rand.nextInt(numActions);
    }

    public void observeOutcome(int[] actions) {
    }
}
